<?php

declare(strict_types=1);

namespace App\Controller\TblPreguntasCurso;

use App\Service\TblPreguntasCursoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPreguntasCursoService(): TblPreguntasCursoService
    {
        return $this->container->get('TblPreguntasCurso_service');
    }
}
